summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 02:11:55 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 02:24:25 (EDT)
commite153a4a392e2f6e616b2c94b77eb683eff9e644a (patch)
tree575f26774a4abd5255f09550659dfb7e9deae51e
parentb18d62d033723b345986c8f8c677005fd541b974 (diff)
_ob_abort(): New internal function to crash hard
-rw-r--r--lib/common.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/lib/common.sh b/lib/common.sh
index c265e3c..cd6970d 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -20,6 +20,13 @@
_OB_LF='
'
+_ob_abort()
+{
+ printf 'Aborted\n'
+ kill -s ABRT 0
+ exit 1 # Should never be reached, but just in case
+}
+
_ob_validate_var_name()
{
case "${1}" in